ANYZIP Welcome Page

Welcome to ANYZIP

Thank you for using AnyZip for extraction, creation and viewing of archive files on your computer.

AnyZip is a user-friendly archiver program for Windows 9x/Me/NT/2000/XP/2003 and allows you to extract, view, update and create archive files in many formats. Following is a summary of AnyZip's major features:

  • De-compress archives in Zip, GZip, Tar, Gzipped Tar, Cab, JAR or RAR format.
  • Compress files and email as attachment with one single click.
  • Wizard to help beginner user to extract, create and update an archive.
  • Built-in utility to create Self-extracting archive, receiving party of which needs no decompress program to extract the archive.
  • Arbitary number of recent file list.
  • Favorate archive list renders faster access to frequently acccessed archive files.
  • Configurable archive infotip shown in Explorer.
  • Configurable command items accessed in Explorer context menu.
  • Full Explorer integration: you can extract file by simply drag and drop file from AnyZip to Explorer, extract archive or create compressed archive with context menu in Explorer, and compress files to an archive and prepare it as email attachment in one single step.
  • Create archive in Zip, GZip, Tar format.
  • Support two spanning modes in creating and extracting multi-volume (multi-disk) Zip archive. Multi-volume archive can be created on non-removable storage device as well.
  • Support password-protect Zip archive.
  • Support include/exclude directory/file filters in creating archive.
  • Support rename files in Zip archive.

TurboSoft, Inc Web site http://www.tbsoftinc.com contains most updated information of AnyZip.


ANYZIP End User License Agreement

Back to Table of Contents

ANYZIP End User License Agreement

End-User License Agreement

Please read this entire agreement.

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the author of this software TurboSoft,Inc (AUTHOR) for the software product AnyZip, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE"). By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE.

1. GRANT OF LICENSE.

Evaluation Copy. If you acquired the license for the SOFTWARE on an evaluation or trial basis, you may use the SOFTWARE without charge for thirty (30) days from the day that you install the SOFTWARE. You must pay the license fee and register your copy to continue to use the SOFTWARE after the thirty (30) day evaluation period. When payment is received you will be sent your own personal registration code.

Registered Copy. A single registered copy of SOFTWARE may either be used by a single person who uses the SOFTWARE himself on one or more computers, or installed on a single computer and used by multiple people, but not both. You may access the registered version of SOFTWARE through a network, provided that you have obtained individual licenses for the SOFTWARE covering all computers that will run the SOFTWARE from the network. For instance, if five different workstations will access SOFTWARE on the network, each workstation must have its own SOFTWARE license, whether they use SOFTWARE at different times or concurrently.

2. SCOPE OF GRANT

You may not decompile, disassemble or otherwise reverse engineer the SOFTWARE, or engage in any other activities to obtain underlying information that is not visible to the user in connection with normal use of the SOFTWARE. You may not modify, rent, or resell for profit this SOFTWARE, or create derivative works based upon this SOFTWARE. You may not publicize or distribute any registration code algorithms, information, or registration codes used by this SOFTWARE without permission from the AUTHOR.

In no event shall the AUTHOR's liability exceed the purchase price of the SOFTWARE.

3. COPYRIGHT

This SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

4. DISTRIBUTION

Only the evaluation version of this SOFTWARE may be freely distributed.

Provided that you verify that you are distributing the evaluation version, you may distribute this SOFTWARE on on-line services, bulletin boards, or other electronic media provided that it is not modified and the original archive remains intact with all accompanying files, and provided that no fee is charged. This SOFTWARE may not be distributed on CD-ROM, disk, or other physical media for a fee without the permission of the AUTHOR.

5. TERMINATION

The license will terminate automatically and the SOFTWARE unregistered if you fail to comply with any of the above terms and conditions. The license may be terminated by either party at any time and without notice.

6. DISCLAIMER OF WARRANTY

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE AUTHOR FURTHER DISCLAIMS ALL WARRANTIES, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON INFRINGEMENT. THE ENTIRE RISK ARISING OUT OF THE USE OR PERFORMANCE OF THE PRODUCT AND DOCUMENTATION REMAINS WITH RECIPIENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, OR OTHER DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING OUT OF THIS AGREEMENT OR THE USE OF OR INABILITY TO USE THE PRODUCT, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Register ANYZIP

Registering AnyZip

AnyZip is a not free, which means that you need to register and pay a registration fee if you want to continue to use it after the 30-day evaluation period. If you do not register after 30 days, then AnyZip will function as normal, except that you will not be able to transfer any files.

Once you have registered, you will receive a registration key that will enable unlimited use of AnyZip. You may use this key in exactly one copy of AnyZip, installed on a single computer. More than one person is allowed to use it, given that no more than one person uses it at the same time.

If more than one person needs to use AnyZip at the same time, you have to register a copy for each of them. Click here for more licensing information.

For information on how to register and various license options please go to http://www.tbsoftinc.com/register.php.


Technical Support

Technical Support

From the time of purchase, each registered user will be entitled to unlimited free technical support via email. Unregistered users will receive support only if time permits. The email address for this is support@tbsoftinc.com. A registered user should get the feed back within 24 hours, though usually the response time will be far less than that.

We recommend that before submitting a question user should first consult the web page containing the most frequently asked questions (http://www.tbsoftinc.com/faq.html).


ANYZIP Main Interface Overview

ANYZIP Main Interface Overview

The AnyZip overview page describes some of the common functionality and user-interfaces within AnyZip.

After completing the installation of AnyZip, please click on the AnyZip shortcut on the Windows Desktop or on the Quick Launch toolbar to open the application. When you launch AnyZip, the following screen is displayed:

Figure: AnyZip Startup Confirmation

For further information on the options available in this screen, please access the Using AnyZip and its Menu Commands page, which describes these in detail. For the present please click No to open AnyZip.

This will load the AnyZip main window, which is shown here.

Figure: AnyZip Main Window

The AnyZip main window has the following features and options:

(a) The AnyZip Menu Bar

Figure: AnyZip Menu Bar

The AnyZip Menu Bar contains the Menu which provide you access to all of the functionality within AnyZip. The menu can be accessed either by clicking on each of the items individually or by using the keyboard. For access using the keyboard, please press Alt+highlighted letter.

For example, to access the File menu, press Alt+F or click on File.

Figure: AnyZip File Menu

The AnyZip Menu Bar is particularly useful for experienced Windows users who prefer to work their way around Menus using the keyboard instead of the mouse.

(b) The AnyZip Tool bar

Figure: AnyZip Tool Bar

The AnyZip Toolbar provides you quick access to common AnyZip functionality without having to work through individual menus in the Menu Bar. It is particularly useful for experienced Windows users who prefer to work their way around an application using a mouse or other pointing devices to access application functions.

An added feature of AnyZip is that the icons for commonly used functions are displayed next to individual items on the Menu Bar - these correspond to the icons on the toolbar and make it easy to invoke functions directly from the AnyZip Toolbar.

The AnyZip Toolbar has the following buttons which are explained in detail in the page titled Using AnyZip and its Menu Commands :

Open Archive: Use this option to open existing archive files for adding, viewing or extracting files

Close Archive: Click on this option to close an open archive file

Add File(s) to Archive: Click on this option to Add one or more files to an existing archive

Extract File(s) from Archive: Click on this option to Extract Files from an open archive

View File: Click on this button to view the contents of a selected file within an archive

Install from Archive: Click on this button to install an application by running a file (normally Setup.exe) within the archive

Encrypt Archive: Click on this option to set a password for an archive to ensure that only users with the correct password can open an archive

AnyZip Wizard: Click this option to launch the AnyZip Wizard that walks you through the process of creating an archive, extracting files or updating and existing archive.

Favorite Archives: Click on this button to call up a list of Favorite (frequently accessed) archives

Make Self-Extracting EXE: Click on this option to create a self-extracting EXE which can be distributed to users who may not have an installation of AnyZip or any other compression software. Self-extracting EXEs are also useful when the files within the archive are to be extracted to specific folders and/or sub-folders.

AnyZip Options: Click on this option to launch an application options window which allows you to configure AnyZip rules.

(c) The File Attributes bar

The screenshot below shows the default file attributes displayed for files within an archive;

Figure: AnyZip archive information

Name: The names of all the files that are stored within the archive. This is a mandatory field and you cannot deselect this while customizing the fields to be displayed.

Size: This field displays the original size of the file prior to compression. Therefore a file of 5MB would show a Size of 5MB in this field.

Type: The file extension (for example, .DOC, .XLS, .HTML) for each file within the archive

Date: The date on which the file was added to the archive

Path: In some cases, and based on user selected options, AnyZip stores information related to the original path form where the file was added to the archive. This information is helpful if it is required that a file be always extracted to a specific folder or location during the extraction process and you do not want to let the user decide which directory to extract to.

You can customize the information related to files within the archive, by adding or removing fields to the main window display. This can be done by right-clicking the mouse while on the list of file attributes. This displays a list of attributes of which you can select the ones you would like to add or deselect attributes you may not require.

Figure: Additional Archive attributes

The additional fields that can be added are as follows:

Ratio: This displays the amount of compression for a file. Therefore, if AnyZip has been able to compress a 5 MB file to 1 MB, this field will display a value of 80%.

Packed Size: This displays the size of the file as contained within the Zip file. In the above example (see Ratio), this field would display a value of 1MB.

CRC: This field displays the Cyclic Redundancy Checksum of an archived file. For more information on CRC, please visit the FAQs section of the Help documentation.

Attribute: This field displays the attributes of the archived file. For more information on Attribute, please visit the FAQs section of the Help documentation.

Sorting Files within an archive: As you can see from the initial screenshot listing the default fields, there is an indicator pointing upward next to the columns titled Name. This shows that any files would be sorted in Ascending order of name i.e. In a 0-9, A-Z order. In order to re-sort them by descending order of name, please click on the Name field; this will cause the indicator to point downwards.

Further, in order to sort by another column name, please click on that column heading and change the indicator to point up or down.

(d) The AnyZip Status Bar

The main window of AnyZip shown above has a bar at the bottom which currently reads Ready. This is the AnyZip Status Bar. It displays information related to the current activities being performed by AnyZip on an archive. For instance, when an archive is being created it shows the progress of the archive creation process. When an archive is opened, it displays information on the number of files in the archive and the size and compression ratio for that archive.

Figure: AnyZip Status Bar

As shown in the screenshot above, the Status Bar consists of three sections:

The extreme left section displays the progress of the archive.

The middle section shows the number of files and the compression ratio of the archive

The extreme right section displays the number and size of files within the archive that have been selected. In this example, six files with a total size of 188 KB have been selected.


ANYZIP File Menu: Wizard

ANYZIP File Menu: Wizard

The AnyZip Wizard offers you the convenience of creating, extracting and updating archive files. It does so by walking you through a series of option pages for performing each of these activities. When you launch the Wizard from the Menu Bar or the File Menu option or the keyboard shortcuts provided, the Select Actions window is displayed, which is as shown below:

Figure: AnyZip Wizard window

From this window you can perform the following three functions. Please click on the title of each function provided below to access detailed instructions on executing each of them:

  • Create a New Archive

  • Update an Existing Archive

  • Extract Archive


ANYZIP Wizard: Extract Archive

AnyZip Wizard: Extract Archive

The Extract Archive Option on AnyZip Wizard allows you to extract files from an archive file into a directory of your choice. It is accessed from the New Archive option within the file menu, by clicking on the option titled Extract Archive in the Select Actions screen.

Figure: AnyZip Wizard Window

Click on the Next button to bring up the Extract Archive window, where you can select the archive from which you would like to extract the files. The name and path of the file selected is displayed prior to the extraction.

Figure: Extract Archive Window

Click on next to bring up the Extract To window. In this window you can specify the directory to which the files within the archive are to be extracted. After selecting the path for the extraction, click on Finish to launch the extraction process.


ANYZIP Wizard: Create New Archive

ANYZIP Wizard: Create New Archive

The [Create a new archive] option in AnyZip Wizard allows you to create a New Archive.

In AnyZip Wizard select the Create a new archive option and click on the Next button.

Figure: AnyZip Wizard Window

In the resultant New Archive enter the File Path, File Name and File type, either by typing it in directly into the space provided or clicking on the Folder icon next to the text box.

Figure: New Archive Window

You can select the archive type by clicking on the Save as type dropdown box. The default archive type is Zip. However, you can select any other files types also. In this particular case, we have chosen to name the file as NewArchive.zip. Click Save to return to the New Archive window and click Next.

This will display the Add Files window, which is discussed in the section titled Add Files to Archive .

Please note that you have to Add Files to Archive before you can click the Finish button in the Add Files Window. If you click the Finish button without adding files, the following error message is displayed.

Figure: New Archive incomplete creation warning

If you click Cancel in the Add Files window, the Wizard will close without creating the archive file.


ANYZIP Wizard: Update Existing Archive

ANYZIP Wizard: Update Existing Archive

This wizard option allows you to update an existing archive by adding files and folders to it. In AnyZip Wizard click on Update an Existing Archive and click the Next button.

Figure: AnyZip Wizard Window

The next screen in this sequence is the Favorites window which allows you to either select one of your existing favorites for updating. You also have the choice of selecting another file from any folder for updating through this function, as has been done in this screenshot below.

Figure: Select Favorite for updating

The path for the archive file which has to be updated can either be selected by clicking on the folder icon next to the text box for the path or by directly typing in the path.

Please ensure, when selecting an archive other than one selected from your list of favorites that the check box labeled Use the following path as target archive is checked, and then click Next.

In the resultant Add Files window, you can either add files or folders or both for inclusion into the archive file. When you add files, just the selected files will be included in the archive, while all files within a selected folder will be added to the archive along with the sub-folders when you select a folder for adding to the archive.

Figure: Add Files or Folders window

For more details on how to add files and folders in AnyZip Wizard click here.

Click Finish to complete adding the selected files and folders to the archive, after which the archive file is opened in the AnyZip main window with its contents refreshed to include the newly added files and folders.


ANYZIP Wizard: Add Files to Archive

AnyZip Wizard: Add Files to Archive

The AnyZip Wizard allows you to add files and folders to an existing archive or to an archive file during the process of creating a New Archive .

Figure: Add Files window

This window supports Drag-and-Drop to add files or folders to the New Archive that you are creating. In order to use the drag and drop feature, please open the Windows Explorer and the Add Files window next to each other. Drag Files and/or Folders to be added to the space provided in the Add Files window as shown below:

Figure: Add files through drag-and-drop

When you drag-and-drop files or folders into the Add Files window, AnyZip automatically stores the full path while creating the archive file, as can be seen above. The drag-and-drop option is very useful when you are trying to add only select files and folders to an archive. Keep the Ctrl button pressed while highlighting individual files and folders to be added to the archive in order to do so.

Please note that when you select a folder to be added this way, all the files and sub-folders within the selected folder will be added to the archive. If you want to select only specific files in that folder, you will need to open the folder and select the required files for adding to the archive.

You can also add files or folders by clicking either the Add File or Add Folder buttons above.

Add File: Clicking on this button will launch the Open window as shown below.

Figure: Open Files to be added

You can then change your source folder using the Look In drop down and then select the file to be added to the archive. To do so, highlight the file name and click Open. Please note that if you select the folder, and click Open, the folder will not be added to the Zip as this option only allows you to add specific files. In order to add files to the archive, select one file at a time and click open to add it to the archive. This screen currently does not support selection of multiple files using the Ctrl key.

Add Folder: Click on this button to bring up the Browse for Folder window. Select the required folder and click on OK to add this folder and all the files within it to the archive file, as shown below:

Figure: Browse for folder window

After you are done adding Files and Folders, click on Finish in the Add Files window to create the new archive. Based on the selections made, the new archive is created and displayed in the AnyZip Main Window as shown below:

Figure: Newly created archive

Some of the files in this list were not explicitly selected during the creation of the new archive but have been added as they are all contained in a folder selected during the creation process. Also as the Path column shows the full directory path of the added files is preserved by AnyZip during the creation of the new archive.


ANYZIP Quick Tutorial

ANYZIP Quick Tutorial

The AnyZip Quick Tutorial describes the commonly used archive related features of the application. It contains a brief description of each of these functions, while detailed information on these functions can be accessed by clicking each of the items below:

Create a New Archive

Extract Files from an Archive

Update Archive

Create a Self-Extracting EXE

Create Archive

You can create a new archive by selecting the New Archive option in the File pull down menu or by using the keyboard shortcut. Through this option, you can create an empty archive. You can also create an archive from an existing folder without having to open the AnyZip application, as described under Explorer Integration Options .

For detailed information related on how to create a new archive, please click here .

Extract Files from archive

You can use this option to extract files from an existing archive file into a folder of your choice. The extraction can either be initiated from within AnyZip or through the Explore Integration options offered by AnyZip.

For detailed information on how to extract files from an archive, please click here .

Update Archive

Use this option to add files to an existing archive. This option can only be accessed from the AnyZip Main Window. This is a convenient option to use if you are likely to save the same information regularly - or if you are likely to progressively update the same archive file with additional information.

Detailed information on the Update Archive function can be found here .

Creating a Self-Extracting EXE

This AnyZip option is very convenient if you will be sending the contents of your archive to other users - some of whom might not be familiar with extracting files from an archive while others might not have software like AnyZip to perform the extraction process.

You can use this option to create an Executable file (which has the EXE extension) - when the recipient of this file launches the EXE file, all the files and folders will be extracted to the correct folders without the user requiring to have AnyZip or similar software installed.

For a detailed description of the process related to creating a Self-Extracting EXE, please click here .


AnyZip Tutorial: Create New Archive

AnyZip Tutorial: Create New Archive

AnyZip offers you the convenience of using more than one way to create a new archive. These include creation through drag-and-drop , through the Windows Explorer and Wizard driven creation , the last of which requires AnyZip to be open for creating the archive. These methods of creating a new archive are all discussed in this section.

Creation through Drag-and-Drop

AnyZip supports standard Windows drag-and-drop features for creation of a new archive file. This allows you to create an archive without going through the steps in the Wizard driven creation or having to open AnyZip. It is a quick and easy method of creating an archive file.

For doing this, you first need to have the AnyZip Main Window open. With the application open, resize the AnyZip window to a reasonable size, which allows you to view the window alongside the source directory. Drag-and-Drop the file to be added to the archive directly into the AnyZip empty window. In the Archive Path field of the resultant Add to Archive window, enter the name of the archive file and click on OK.

You can also drag-and-drop multiple files into the archive. In order to select more than one file either Select All using the Windows shortcut or use the Ctrl+Select option to highlight and include only a limited number of files from a folder in an archive.

Figure: Archive Path field

You can configure the remaining options in this screen as well. These are described in detail under the Add option of the Action Menu, which can be accessed by clicking here .

Creation through Windows Explorer

AnyZip also allows you to create archive files directly from the Windows Explorer. In order to do this you are required to enable the AnyZip Explorer Integration Options, details of which can be found here .

In order to create a new archive from the Windows Explorer, select all the files that need to be included in the archive. With the files selected, right click to bring up the AnyZip Menu, either in the main menu or as a sub-menu, as shown below:

Figure: Creation through Explorer

You can now choose any one of the three options listed here to create a new archive file. The options available are:

[Add to Archive]: When you select this option, a new archive is created after you specify the name of the archive file, in the Add to Archive window that is displayed.

[Add to AnyZip.zip]: AnyZip defaults the name of the archive based on the location of the files when you attempt to create an archive using this option. Please note that AnyZip.zip is only shown due to the fact that these files are in a directory named AnyZip, and it is not the default value.

[Compress and email AnyZip.zip]: In addition to creating the archive file, you can also send it by email. When you select this option, AnyZip automatically creates a new mail with the archive file as an attachment. For more details on emailing archives, please click here .

Wizard Driven Creation

You can use AnyZip Wizard or menu command [File | New Archive] to create a new archive. Click here for more information.


AnyZip Tutorial: Update Existing Archive

AnyZip Tutorial: Update Existing Archive

AnyZip offers you the convenience of using more than one way to add files to an existing archive. These include addition through drag-and-drop , from the Windows Explorer interface and wizard-driven updating , which requires AnyZip to be open for adding files to the archive. These methods of adding files to an archive are discussed in this section.

Addition through Drag-and-Drop

The drag-and-drop feature works with the archive file open in the AnyZip main window as also with an unopened archive file.

When a new file is to be added to an archive which is already opened in the AnyZip Main Window, you can drag-and-drop the file directly into the window from a folder or from the desktop. This will launch the Add to Archive window where you can specify rules related to the file being added. Dropping a file into the window will add the file to the archive. This feature is most convenient when the file to be added to the archive is located at the lower level of a series of folders. When this is used with the Preserve File Path option checked, the entire path is also stored on the archive file.

You can also add a file to an archive without opening the archive file. In order to do so, drag-and-drop the file to be added on to the AnyZip icon that denotes the target archive. After you drop the file, the Add to Archive window is displayed. This can be used to specify rules regarding the inclusion of the file. When you click OK, the file is added to the target archive.

The drag-and-drop option works for both Files and Folders that are to be added to an archive. When you drag-and-drop a folder, all its contents, including sub-folders and their contents, are added to the archive file and details related to the file path are stored in the archive.

Addition through Windows Explorer

Adding a file to an archive through the Windows Explorer is done in the same way as creating a new archive. In order to add the file to an archive, right click the name of the files to be added and bring up the AnyZip Explorer Sub-Menu. In this sub-menu, select the Add to Archive option. This will launch the Add to Archive window where you can select the name of the archive to which the file is to be added. After you click OK, the highlighted files are added to the archive file. AnyZip's Context Menu ensures that when you right click a file type other than an archive, the options displayed in the sub-menu only related to creating an archive and adding files to an archive.

Figure: Addition through Windows Explorer

Wizard Driven Updating

For more information on how to update an archive in AnyZip Wizard click here.


AnyZip Tutorial: Extract Archive

AnyZip Tutorial: Extract Archive

In AnyZip, files can be extracted from an archive using any one of three options. These are extraction through drag-and-drop , through the Windows Explorer interface, using the AnyZip Menu and with AnyZip Wizard.

Extraction through Drag-and-Drop

In order to extract files using the drag-and-drop option, open the archive file in the AnyZip main window. From this window, click on the files to be extracted. With these files highlighted, drag-and-drop files into the target directory, as in the screenshot below, which shows files being extracted to the Windows Desktop, using the drag-and-drop option.

Figure: Drag-Drop Extraction

Extraction through Windows Explorer Interface

This option allows you to extract all the files in an archive to a specified directory on your computer. In order to do so, right click on the archive file in the Windows Explorer. In the resultant sub-menu, you have four choices for extracting the files, as shown in the screenshot below:

Figure: Windows Explorer Extraction Sub-Menu

[Extract To]: This option allows you to specify the Windows folder to which the files are to be extracted, before you can run the extract process. When you select this option, the Extract window is launched from where you can select the target folder for extracting the files and folders within the archive to. Please note that this option will extract all files and folders within the archive to the target location. For further information on the various extraction options, please click here .

[Extract Here]: When you select this option, AnyZip extracts all the files and folders within the archive into the directory where the archive file is located. In doing so, AnyZip preserves the original file path for all the extracted files and creates the sub-folders exactly as in the original files.

[Extract to folder Current location\Zip File Name]: This option is similar to the Extract Here option in that AnyZip extracts the contents of the file to the folder in which the archive file is located. However, in this option you can also specify that AnyZip should create a sub-folder bearing the same name as the archive file. This option is useful if you would like to extract the contents of the archive without overwriting any files already in the target folder that may potentially be overwritten by the extraction. The screenshot below shows the results of such an extraction for the file titled NewArchive.zip. In this instance, AnyZip has created a new folder with the same name as the archive file, which contains all the files within the archive with the proper sub-folders created.

Figure: Extraction to Current Location

[Extract to Folder]: This option allows you to specify the target folder from the Folder Bookmarks.

Using Menu Command

You can also run an extraction using the menu command [Action | Extract] or the Extract button from the AnyZip Toolbar.

Wizard Driven Extraction

Click here for more details.

If the extraction process contains Read-Only files, Hidden files or other System files which will overwrites similar files, AnyZip displays a warning, which is as shown below:

Figure: Overwrite Confirmation Window

Select Overwrite to replace the file in the target directory with that in the archive file. However, it is recommended that instead of overwriting such files, you either take a backup of the files prior to overwrite or select No from the above screen.

At the end of the extraction process the target directory for the extraction is displayed in a new window, to enable you access the extracted content.

Figure: Open Window after extraction

Please note that if the complete path of the folders was stored when the files were added to the archive, the extraction will recreate the same directory tree in the target folder as well. Please note that when you perform an extraction through this route, all the files in the archive will be extracted to the target directory.


ANYZIP Tools Menu: Make EXE

ANYZIP Tools Menu: Make EXE

The Make Exe option can be used to convert the existing archive into a self-extracting file. The self-extracting archives have the EXE extension. These are executable files, which can be run in the same way as programs. When the self-extracting archive is run, it automatically extracts the files from the archive even without the need to install a compression software like AnyZip on the computer of the recipient of the file. This offers the added convenience of ensuring that the files are extracted to the folder they are intended for. In order to create a self-extracting EXE, you first need to ensure that you have an archive file open. This option will not be enabled if you do not have an archive file open.

Figure: Create SFX Window

The dialog box allows you to select the archive which has to be converted to a self-extract file. You can use the icon to choose the file. You can specify the default folder to which the archive will be extracted to. If this is left blank, then the archive is extracted to Temp folder.

You can extract the files to the default archive directly by checking the Overwrite without prompt by default.

Once the files are extracted, AnyZip asks you if you would like to Test the self-extract.

Figure: SFX Test Message

The dialog box below asks you to specify which folder you would like the files to be decompressed to. You can click on Browse to browse through your computer.

Figure: Extract Folder Selection window

Once you have selected the folder, you can click on Extract to start the process. On successful test extraction of the files, AnyZip displays a message confirming the outcome of the test.

Run AnyZip starts the AnyZip program on your PC.

About gives the specifications of the AnyZip Self-extracting Archive.

Figure: About SFX Window

Once you have finished the process of creating a self-extract, you can click on Close to exit.


AnyZip Tutorial: Creating a Multi-Volume Archive

AnyZip Tutorial: Creating a Multi-Volume Archive

AnyZip has a unique feature that allows you to create an archive file spanning across more than one disk or storage unit. This feature is very helpful while creating an archive when the size of the files to be compressed is larger than would fit on a single disk. Using this feature makes it easy to create multi-disk archives without your having to manually determine which files to include on one disk. AnyZip addresses this requirement by limiting the size of each archive to a user-defined size.

A multi-volume archive can either be created based on a user-defined size or using AnyZip's auto-detect feature.

User-defined Multi-Volume archive

In the example below, we are attempting to create an archive from a list of files. In addition to specifying the name and location of the file, the we have specified in this case using the Split to Volumes option that the size of the resultant archive files should not exceed 500 KB.

Figure: Add to Archive window with user-defined file size

Based on these parameters, AnyZip has created archive files as follows:

Figure: Result of an archive created based on user-defined size

As the total size of the files selected for adding to the archive is 2.99 MB, AnyZip has created an archive consisting of five files of 500 KB each and a sixth one of 453 KB. This makes it easier to now copy these files into a storage disk such as a floppy disk.

Further, AnyZip has also marked the files with a 00n extension, numbered from 000 to 004. This is helpful while extracting files from floppies as AnyZip prompts users to insert floppies into the disk drive after completing extraction after reading each piece of the archive. The prompt that is displayed contains the name of the file along with its extension. In order to carry out the extraction the user has to select the main archive file i.e. the file titled Media.Zip in the above list.

Auto-Detect based on disk drive

When you select the Auto-Detect option for creating a multi-volume archive, AnyZip detects the right size of the archive based on the disk drive in your computer. In case you have a floppy disk drive which takes only 1.44 MB floppies AnyZip will create an archive in such a way that the size of each component of the archive file is no more than 1.44 MB in size. In order to use this feature, select the Auto-Detect option while creating an archive as shown below:

Figure: Auto-Detect option for Split to Volumes field

AnyZip will create the archive based on the capacity of your disk drive in the same manner as described in the earlier section. The same rules also apply for extracting files from within such an archive.


ANYZIP Menu Commands

ANYZIP: Menu Commands

Click each link to access content related to individual menu items within the AnyZip application:

File Menu

The FILE Menu within the AnyZip menu bar allows you to work with Archive files. For a list of supported archive types, click here . This menu allows you to perform most of the basic functions associated with an Archive and, if you are an experienced user of Windows or AnyZip, you can expect to use this menu item quite extensively.

The following functions can be performed from the File Menu - please click on individual titles to access details on each of these Menu.

  • Open Archive

  • Save Archive as

  • New Archive

  • Close Archive

  • Email Archive

  • Wizard

  • Archive Properties

  • Favorite Archives

Action Menu

The Action Menu within the AnyZip menu bar allows you to work with the currently open archive or selected files within the archive. The following functions can be performed from the Action Menu:

  • Add

  • Extract

  • Delete

  • View

  • Test

  • Install

  • Comment

View Menu

The following functions can be performed from the View Menu:

The options within this menu allow you to view files within an archive. Additionally, this menu can also be used to select and deselect files for performing other AnyZip operations.

  • Invert Selection

  • Select All

  • Sort

Tools Menu

The Tools Menu contains advanced AnyZip options. While these are also related to actions on archives but may not be used as frequently as those in other menus. In addition, it also contains information related to AnyZip Configuration Options, which can be set to determine how the application should function on your computer.

The functions available within the Tools Menu are as follows:

  • Make.Exe

  • Password

  • Open AnyZip.ini

  • Options

Help Menu

The functions within this menu provide access to the AnyZip help documentation and also enable you find information related to registration of your installation of AnyZip.

  • Contents and Index

  • Register AnyZip

  • About AnyZip


ANYZIP File Menu: Open Archive

ANYZIP File Menu: Open Archive

This option allows you to open existing archive files. When you click on the Open archive option, the following screen is displayed. From this screen you can select the location of the file you wish to open, and also the type of file you want open, as shown in the screenshot below:

Figure: Open Archive Window

In addition to the types listed here you can choose to open one of the other types using either the All Zip Archives option above or the All files option in the list.

When you select one of the types, the list of all files of that type is displayed and you can highlight one of these and click on Open to view the archive file. In order to view all files in the selected drive or directory, please select the All files option; please note that this will also display non-archive files which may not always open with AnyZip. The highlighted file may also be double-clicked to open it.

In the above case, we select skyroads.zip. When this archive is selected, the list of all files in the archive is displayed in the main AnyZip window as shown below:

Figure: AnyZip Main Window

Accessing Recently Opened Archives:

For opening an archive file, you can also select one from the list of recently used archives which are listed in the File Menu towards the bottom, as shown in the screenshot below:

Figure: List of recently open archives

You can either select the last few archives you worked with - or you can click on the More... option to select other archive files on your computer. When you click the More button, the Recently Opened Archives window is displayed:

Figure: List of opened archives

You can click on one of the archives listed in this window to open it. The fields displayed in the main window are as follows:

Figure: Archive Information

Archive: This field displays the name of the archive file along with its extension.

Date: This field displays the date on which you last opened an archive that is listed here.

Path: This field displays the directory in which the archive is stored. This field is different from the Path that is displayed in the AnyZip main window for a file within an archive as it displays only the location of the archive and not the target directory in case the files within the archive are unzipped.

You can click on any of the column headers in the Recently Opened Archives window to sort the files displayed there. This function is similar to the sort option available in the AnyZip Main Window.

The other options available in this Window are:

Remove: Highlight any of the files from among those listed and click on this button to remove that file from the list of Recently Opened Archives. Select Yes in the resultant AnyZip Window to confirm your selection.

Figure: Delete Selected Archive confirmation

Add to Favorites: Highlight any of the files from among those listed and click on this button to include this archive file in your list of Favorites. Click here for an explanation of the Favorites feature within AnyZip. When you click this button, a message is displayed to confirm the addition of this file to your list of Favorites.

Options: Click on this button to define the number of files to be displayed in the list of Recently Opened Archives. In order to display an unlimited number of files in this list, please select 0 as the number of files - please note that this is the default option.

Figure: Recent File List Options

Open: Highlight any of the archive files in the list of Recently Opened Archives and click on this button to open the selected archive file. This will return you to the AnyZip Main Window with a listing of all the files within the archive.

Close: Click on this button to close the Recently Opened Archives window and return to the AnyZip Main Window.

As the screenshot below shows, after an archive file is opened, all the other menus within the File Menu are now available for you to perform actions on archive files.

Figure: Functions available for opened archive


ANYZIP File Menu: Save Archive As

ANYZIP File Menu: Save Archive as

This option, which is available only when an archive is opened, is normally used to save an archive file under a different name from the one it was initially created as. When this option is selected, the Save As window is displayed and you can enter a different name for the archive.

Please note that if you choose to save the archive under a different name, you are creating a new archive file, and the old archive is neither destroyed nor lost.

Figure: Save As Window

You can choose to select the same name as that of the archive you just opened, in which case, you will receive a warning and request for confirmation, which is as shown below:

Figure: Replace Archive confirmation

If you choose YES, the existing archive file will be overwritten by the new one. This means you will lose the old archive file along with all the files stored within it and they cannot be retrieved. Therefore, in case you intend to select Yes, please ensure that you have made a backup copy of the old archive, especially if the information contained in it has undergone change and you might need to look at the old contents as well.

If you choose NO, you will be returned to the Save As window, and you can choose to enter a new file name for the archive. This is a recommended method to safeguard against losing data in your original archive file. This is also why the default option in the Save As confirmation box is No.

After entering the new name as shown below, you can either press the Enter key or click on Save to save the contents of the archive in the form of a new archive, as shown in the screenshots below:

Figure: Save Archive as window

This window does not have an option for changing the archive type, and you have to append the file name with the type of archive in order to ensure that the archive file is correctly created.

Figure: AnyZip Main window

As you can see from the Title Bar of the above screen, the contents of the archive are now saved in the form of a new zip file titled skyroads_new.zip.

Also, as the screen below shows, there are now two separate archives on your computer, of which one is the original skyroads.zip and the other is the copy named skyroads_new.zip which was created using the Save Archive feature of AnyZip.

Figure: Recently Opened Archive Window


Anyzip File Menu: Close Archive

ANYZIP File Menu: Close Archive

This option allows you to close an open archive file. Selecting this option either from the menu or using the keyboard shortcut closes the archive.

Please note that when you select this option, all changes that you have made to the current archive will be automatically saved. Therefore, it is preferable that you select the Save Archive as option prior to selecting this option.


ANYZIP File Menu: Email Archive

ANYZIP File Menu: Email Archive

AnyZip offers you the facility of being able to e-mail archive files to others, directly from within AnyZip without having to go through the process of creating a new mail from an e-mail client like Outlook Express, Eudora etc.

In order to do so, please select the Email Archive option from the file menu. When you select this option, AnyZip will launch your default mail client software with the archive file being included as an attachment within the mail.

Once this is done, please enter the e-mail ID of the recipient(s), a subject for the mail and your comments and click Send to e-mail the archive to the addressee(s) of the mail.

For details related to sending mail using an e-mail client like Outlook or Outlook Express and the configuration details for your mail account, please contact your ISP or refer to the documentation you received along with your e-mail client software.


ANYZIP File Menu: Archive Properties

ANYZIP File Menu: Archive Properties

This menu option allows you to see the details related to an archive file. This option is enabled only when you have an archive file open. When you select this option from the File Menu or using the keyboard shortcut, the Archive Properties window is displayed, as shown below:

Figure: Archive Properties Window

The information displayed in this screen is described below:

Archive Type:AnyZip supports different types of archive files, as described here . This field displays the type of archive file.

Total Files: This field displays the number of files contained in the archive file that is open. In this case, the archive contains 29 files.

Archive Size: This field shows the size of the files prior to creation of the archive file. This would also be the size of the files in the archive when they are extracted to a folder.

Packed Size: This field displays the size of the files after compression within the archive. This also indicated the size of the archive file.

Compression: This field displays the extent of compression of all the files in the archive.

Password: This field displays whether the archive file is password protected. For details on password protecting an archive file, please click here .


ANYZIP File Menu: Favorites

ANYZIP File Menu: Favorites

AnyZip allows you to designate archive files on your computer as Favorites. This is useful if there are frequently used archive files which you would need to access quickly and without having to browse or search through the individual folders or directories, where they may be located.

When you have an archive file open you can designate is a Favorite by selecting File >> Favorite Archive >> Add Archive to Favorites. This option can also be accessed from the AnyZip Menu Bar. When the file is successfully added to the list of favorites the following information message is displayed on the screen:

Figure: Confirmation of addition to Favorites

In order to access other Favorites, please select the Modify Favorites option on both the Favorite Archives sub-menu and on the AnyZip Menu Bar. This displays the Favorite Archives window showing all the archive files, irrespective of type, that are designated as favorites.

Figure: Favorite Archives Window

You can double-click on one of the archives listed in this window to open it. The fields displayed in the main window are as follows:

Figure: Favorite Archives Attributes

Archive: This field displays the name of the archive file along with its extension.

Date: This field displays the date on which you last opened an archive that is listed here.

Path: This field displays the directory in which the archive is stored. This field is different from the Path that is displayed in the AnyZip main window for a file within an archive as it displays only the location of the archive and not the target directory in case the files within the archive are unzipped.

You can click on any of the column headers in the Favorite Archives window to sort the files displayed there. This function is similar to the sort option available in the AnyZip Main Window.

The other options available in this Window are:

Remove: Highlight any of the files from among those listed and click on this button to remove that file from the list of Favorite Archives. Select Yes in the resultant AnyZip Window to confirm your selection.

Figure: Remove File from Archive confirmation

Add to Favorites: Highlight any of the files from among those listed and click on this button to include this archive file in your list of Favorites. Click here for an explanation of the Favorites feature within AnyZip. When you click this button, a message is displayed to confirm the addition of this file to your list of Favorites.

Figure: Add to Favorites confirmation

Options: Click on this button to define the number of files to be displayed in the list of Favorite Archives. In order to display an unlimited number of files in this list, please select 0 as the number of files. Please note that this is the default option.

Open: Highlight any of the archive files in the list of Favorite Archives and click on this button to open the selected archive file. This will return you to the AnyZip Main Window with a listing of all the files within the archive.

Close: Click on this button to close the Favorite Archives window and return to the AnyZip Main Window.


ANYZIP Action Menu: Add

ANYZIP Action Menu: Add

This option allows you to add files to an existing archive. Please note that prior to using this function you should have an existing archive file open. When you click on the Add option, the Open window is displayed. This window allows you to select the files that you want to add to the archive.

Figure: Select Files for adding to archive

From this screen you can select the file(s) you wish to add to the current archive.

Once a file is selected, the Add to Archive window is displayed:

Figure: Add to Archive

The above screen has the following parameters:

Archive path

This field displays the path and the location of the archive to which the file is to be added. The location of the archive can either be entered manually or selected using the icon displayed next to this field. Clicking the icon displays the Save As window from where the preferred location for the archive can be selected.

Figure: Save As Window

Action

The Action option allows you to define what you want to do with the files in the current archive.

Figure: Add Archive Actions

The actions that can be performed are:

  • Add and overwrite existing files The entire contents of the file in question can be changed

  • Add and update existing files Only the updated contents of the file are changed

  • Update existing files

Archive Format

The archives can be stored in different formats. The default format is ZIP. The Archive Format allows you to choose the format in which the archive needs to be stored.

Figure: Archive Formats

Compression

Figure: Compression Options

This field allows you to select the degree of compression of a file added to the archive. AnyZip uses the default option to create an archive file which adequately compresses its contents to ensure faster access. Please note that as you increase the Compression, the size of the archive file so created will be smaller. However, this will also mean that opening the archive file will take longer.

While the Best Speed and No Compression options will cause the Zip file to be larger but with quick access to its contents, the Best Compression option will result in a smaller zip file which will take longer to create and open.

Split to volumes

This option is useful if you would like to copy the zip files that you are creating to another machine using floppy disk drives. If the number of files is large and the resultant zip files are likely to be above a certain size (for example, larger than 1.44 MB), you can either specify a maximum size for each resulting zip file. Alternately you can allow AnyZip to use its default options by selecting the Auto-Detect option provided.

Figure: Split to Volume Option

It is unchecked by default. This means that AnyZip will create a new archive without making provision for splitting it across more than one disk or storage unit. Further details on creating an archive split across more than one storage unit or disk can be read by clicking here.

Preserve File Path

Check this option to ensure that when files are extracted form an archive file, they are restored to the same directory path from which they were initially added to the archive. This option is very useful if you are creating an archive file from a directory with one or more levels of sub-directories. When this is checked, the entire path from where the file was added to the archive is stored on the archive and the extraction will ensure that files are extracted to the folder/directory they were initially added from. As you can see from the screenshot provided below, this option is defaulted by the application to ensure that the full path information is retained. Hence, even if you have chosen not to activate this option, it is assumed that your preference is for retaining the full path.

Figure: Preserve File Path Option

Filters

Figure: Archive file Filters

AnyZip allows you to specify filters while adding files to an archive. AnyZip has five filtering options which can be used either jointly or individually i.e. they are not mutually exclusive. These are described below:

Include System and Hidden Files

Some folders/directories on your computer might contain hidden files. These are files which are required for proper operation of your computer and which are not user-editable. When you select this option, AnyZip will include such files while creating the archive file.

Apply filters to folder names

By default all the filters that you specify are only applicable to files within the folder or location from where the archive file is being created. However, selecting this option ensures that the filters also apply to all folders which meet the specified filtering option. This option is normally used in conjunction with the Include or Exclude options on this screen and will not affect the creation of the archive file by itself.

Case Sensitive Filters

If you want AnyZip to make distinction between files based on how they are named i.e. In lower case or UPPER CASE, this option should be checked. When this option is checked, AnyZip treats a file named TEST as being different from a file named Test or test. This option is also normally used with the Include or Exclude filters available on this screen.

Include

This option helps you select specific files or file types that need to be included while creating the archive file. For example, if you were to type *.txt in this box, AnyZip will ensure that all files having the TXT extension in the main folders and any included sub-folders are included while creating the archive.

More than one file type can be included in the archive using this option. In order to do so, the file types can be entered one after the other with each file type followed by a comma, as shown here:

Figure: Archive file Filters

The Include filter specified above will ensure that all files with the TXT or DLL extensions will be included in the archive file that is created through this process.

Exclude

The Exclude filter allows you to specify what types of files from the source folder are to be ignored while adding files to the archive. As in the case of the Include option this filter also allows you to specify more than one file type while adding files to the archive. As shown in the above example, while adding files to the archive, AnyZip will exclude all files having an EXE extension.


ANYZIP Action Menu: Extract

ANYZIP Action Menu: Extract

This option allows you to extract files from the open archive to your disk. When you select this option, the Extract window is displayed:

Figure: Extract Files Window

The location for extracting the files in the archive to can either be selected by typing in the target directory in the field titled Extract To or by selecting the location using the path button next to the Extract To text box.

This button helps you ascertain the path of the folder selected for extraction.

Figure: Folder Bookmarks button

This button allows you to add the selected archive to Folder Bookmarks or select a path from it as the target extraction path. If you select Add to Favorites the following screen is displayed:

Figure: Add folder to favorites

The path can either be typed in the Path field provided or selected by clicking the selection button next to the Path field.

The Edit Favorites option allows you to remove or edit paths identified as containing your Favorites from the Folder Bookmarks window. To remove a particular folder from the list of bookmark folders, please highlight the folder in the window and click Remove.

Figure: Folder Bookmarks Window

The other options available on the Extract window are described below:

Files

From this option you can either extract a select set of files or all the files within the archive. AnyZip allows you to select multiple files for extraction. In order to select multiple files i.e. Some files in the archive only, click on the files you want to extract while holding down the Ctrl key on your keyboard. When you click OK in the Extract window, AnyZip will extract only these files.

However, if you want to extract all the files in the archive, please click on the Extract All Files option. This will ensure that all files are extracted from the archive and placed in your target directory.

Please note that the two choices related to extraction of files i.e. Extract Selected Files and Extract All Files are mutually exclusive.

Extract Only

The options within this group allow you to specify which files are to be extracted from the archive. These options are useful when you are extracting files from an archive to a folder which may already contain some of the files within the archive.

The New Files option allows you to specify that AnyZip should extract to the target directory only those files that do not already exist in the target directory. Selecting only this option will ensure that files already in the target folder will not be extracted from the archive - instead only those files not yet in the target folder will be extracted.

The Newer Files option allows you to specify that AnyZip should extract files to the target directory only if they are newer than those already in the target folder. Remember that while the New Files option extracts files that do not already exist in the target folder, the Newer Files option may result in an extraction that overwrites files already in the folder.

The Older Files option allows you to specify that AnyZip should extract files to the target directory only if those on the archive are older than those in the target directory. As in the case of the Newer Files option this option can also cause files in the target directory to be overwritten by those on the archive. This option is useful if you are attempting to restore data from a version that precedes the versions of files currently in the target directory.

Please note that as the Newer Files and Older Files options overwrite files in the target directory, care should be taken to backup data already in the target directory prior to extraction. This will help ensure that no important data on the target folder is erroneously deleted or overwritten.

While the Files Selection options are mutually exclusive, the options under this group are not and can all be selected prior to extraction.

Overwrite without Prompt

This option allows you to specify if AnyZip should display a warning when the extraction will cause files already on your computer's target directory to be overwritten - such a warning will allow you to decide whether or not the existing file should be overwritten by the one in the archive.

In order to receive warnings about potential overwriting of files on the target directory, please uncheck this option. When you do so and run the extraction, AnyZip will display an error message as follows:

Figure: Overwrite confirmation on file extraction

If you select the Overwrite option, the extraction process will prompt you in respect of each file being extracted.

The Overwrite All option allows you to specify that the extraction should overwrite all files within the target folder - this will also mean that the application will suppress further warnings related to overwriting.

Choose the NO option if you want to ensure that the file in the target directory are not overwritten by the extraction process. Please note than when you select No, you will be prompted for each such file that might be overwritten by the extraction process.

The Cancel option stops the extraction process from continuing any further.

Preserve File Path

This option ensures that files being extracted from the archive are restored into the same location from where the archive file is created. This option is useful if you have more than one sub-directory in the folder you are creating an archive file from. When you select this option, AnyZip stores and displays information related to the folder or directory from where the file was added to the archive.

When you run an extract of such an archive, AnyZip automatically creates the target folders and extracts files to those folders.

Open in Windows Explorer

This option specifies what AnyZip should do after all the files are successfully extracted to the target directory. When this option is checked, AnyZip will open the target directory as a Windows folder immediately after the extraction is completed - this allows you to browse the folder and select the files to work with, without having to scroll through the Explorer to locate and open the folder.


ANYZIP Action Menu: Delete

ANYZIP Action Menu: Delete

The Delete option can be used to delete selected files from the current archive. The files can be selected by clicking on them . When you select the Delete option, the Delete confirmation window is displayed. Click on OK to delete the selected file or Cancel if you do not want to delete the selected file.

Figure: File Deletion Confirmation

In addition to deleting the file from the Action Menu and by highlighting and right clicking on the file to select the file to be deleted, you can also delete the file by simply highlighting the file and hitting the Delete button on your keyboard. This is in addition to the standard AnyZip keyboard shortcut for delete.

Figure: Deletion Option

AnyZip also allows you to delete more than one file from within an archive through a single operation. In order to be able to do so, please select multiple files in the archive with the Ctrl key on your keyboard pressed down. Select the Delete option to delete the selected files.

The Delete option within AnyZip cannot be undone; therefore, it is important to ensure that there is valid reason for deleting and file from within an archive, or that adequate backup exists of the file being deleted. Please note also that the Delete option can only be selected for the ZIP / TAR / JAR and GZIP file formats.


ANYZIP Action Menu: View

ANYZIP Action Menu: View

This menu option allows you to view a file within an archive with its default viewer. Click on the file to be viewed and select this option to launch and view the file. You can also view the file by double-clicking it in the AnyZip main window.


ANYZIP Action Menu: Test

ANYZIP Action Menu: Test

The Test option in the Action Menu allows you to test the integrity of the currently open archive. As soon as you select the Test option, AnyZip runs a test on the archive and if no errors are detected, the following message is displayed.

Figure: Archive Test Success Confirmation


ANYZIP Action Menu: Install

ANYZIP Action Menu: Install

The AnyZip Install option offers you the convenience of installing an application directly from an archive without having to extract its contents to a temporary folder. As the screenshot below shows, the Install option on the AnyZip Toolbar is enabled when you have a filed titled either setup.exe or install.exe within the archive file. In order for this button to be activated you need to have an archive file containing either of these files open.

Figure: AnyZip Install Feature Window

When you click on this button, AnyZip automatically identifies and launches the file containing the installation kit. Immediately upon commencement of the installation, the following message is displayed.

Figure: Information Message for temporary file deletion

Clicking on OK at the end of the installation will ensure that all the files copied into a temporary location are deleted from that location, after the installation is completed successfully. This option is useful when you distribute an application installation kit for users who might not be familiar with doing application installations on their own or who may be unaware of the need to clean up temporary files upon completion of an installation.


ANYZIP Action Menu: Comment

ANYZIP Action Menu: Comment

The optional Comment feature in the Action Menu can be used to enter a comment about the archive. The comment that you enter for the archive file is displayed when the archive is opened.

When you select this option, the Modify Archive Comment window is displayed. The comments can be typed in directly into this dialog box. You can use the Clear option to delete all the comments in the current dialog box. The option Close automatically saves the comments and closes the dialog box.

Figure: Add Archive Comment Window

When you open the archive, the comments related to the archive are displayed as shown below:

Figure: Addition of Archive Comment

In order to suppress display of comments on opening an archive, please click on the Show comment when opening an archive option in this window. This option can also be configured from the AnyZip Tools Menu under General Options .


ANYZIP View Menu: Invert Selection

ANYZIP View Menu: Invert Selection

Figure: Invert Selection Option

Invert Selection de-selects the currently selected files and selects the currently unselected files. Selected files can then be easily deleted, extracted, or viewed.


ANYZIP View Menu: Select All

ANYZIP View Menu: Select All

This option allows you to select all the files in the archive listed in the main window.


ANYZIP View Menu Options: Sort

ANYZIP View Menu: Sort

This option lets you specify how you wish the files be sorted as per the parameters specified in the Sort Sub-menu.

Figure: File Sort Options

You can select the parameter by clicking on it.

You can also change the sort order by clicking on the appropriate field specified in the main file list box.

For example, you can click on the field Name to sort by name i.e. in alphabetical order. The order can be deselected by clicking on it again.

The fields in the main menu list box have an icon pointing upwards or downwards. This icon denotes the sort order - ascending or descending. The up arrow indicates ascending order and the down arrow indicates descending order. This order can be reversed by clicking on the icon.

Some more information on the sort feature can be found on the AnyZip Main Interface Overview page.


ANYZIP Tools Menu: Password

ANYZIP Tools Menu: Password

The Password option allows the user to set a password to the current archive, to restrict the access to the archive.

Figure: Password Entry Window

For security, AnyZip requires you to enter the password twice, once each in the Type Password and Confirm Password text boxes. This verification is intended to make sure that the password has been correctly stored by AnyZip.

The Show Password check box allows you to view the password prior to re-entering it into the Confirm Password box.

In addition to setting the password for a new archive file, this option can also be used to open password protected archive files.


ANYZIP Tools Menu: Open Anyzip.ini

ANYZIP Tools Menu: Open AnyZip .INI

By default, all the information related to your AnyZip installation is stored in the Windows Registry. However, advanced users familiar with INI files can choose to have these details stored in a file titled AnyZip.INI, which can be found in the same directory where AnyZip is installed.

This option allows you to view and modify the contents of AnyZip.INI. Please note that in order for this option to be active, you need to check the option titled Store Program settings in anyzip.ini instead of registry in the General Options Tab of the Tools Menu.

When you click this the Open AnyZip.INI option, the AnyZip.INI is launched in the default text viewer and you can modify the values in it, thereby configuring the behavior of AnyZip on your computer.

It is recommended, however, that unless you are familiar with operations on INI files, the contents of the file be retained as they are in order to ensure proper performance of the application. As most of the options within the INI file can be configured from the five tabs of the Tools Menu, it is preferable that these be modified from there.


ANYZIP Options: General Tab

ANYZIP Options: General Tab

The Options sub-menu allows you to configure the behavior of AnyZip and its functions. It consists of five tabs, of which the General tab is the first one.

General Tab

The General Tab allows you to configure AnyZip options related to the application and its user interface. The options available in this tab are as follows:

Figure: General Tab

Show Archive Comment: This option allows you to set whether or not AnyZip should display comments pertaining to an archive file when it is opened. When this option is checked, AnyZip will display such comments. Uncheck this option to suppress archive comment when the archive is opened. This option is checked by default i.e. Archive comment display is always turned on.

Full Row Select: This option allows you to specify the way in which a file within an archive may be selected prior to performing an AnyZip operation on it. If this option is checked, you can click on any attribute of a file to select it in the AnyZip Main Window prior to working on the file. When this option is unchecked, you can only select a file by clicking on its name in the AnyZip Main Window. This option is checked by default i.e. Full row select is allowed.

Always on top: This option allows you to specify the position of the AnyZip window when there is more than one window open on your computer. When this option is checked, the AnyZip application will always be placed in front of other windows. This allows you to select the window quickly while tabbing between different applications that are running.

Auto-open zipped tar file: This option allows you to specify how AnyZip should process TAR files with a TGZ archive file. When this option is checked, AnyZip automatically extracts the TAR file in a TGZ (TAR.GZ) and displays its content when you open a TGZ archive.

Always Minimize to System Tray: Selecting this option helps you retain access to AnyZip without having to search through the program listing or the Explorer window. When this option is checked, an open AnyZip archive can be minimized to the system tray as shown below. The file can then be reopened with a single click.

Figure: AnyZip minimized in System Tray

Store Program Settings in AnyZip.ini instead of in registry: This option allows you to specify if the program settings and options for AnyZip are to be stored in a file named AnyZip.ini on your computer or in the registry of your computer. This is meant for advanced users and those who are familiar with editing INI files. If you are unfamiliar with these, we recommend that you retain the default value for this option which stores program settings in the registry i.e. This box is unchecked.

No Menu Bitmap Icons: This option allows you to specify if AnyZip should display Toolbar icons alongside the Menu. This option is unchecked by default which means that icons will be displayed.

Number of files in Recent File List Menu: This option allows you to specify the number of recently opened archive files that should be displayed when you click on the Open Archive File option within AnyZip. The default value for this is 5 and the maximum is 32.

Number of files in Favorite Archives List Menu: This option allows you to specify how many files should be listed in the Favorite Archives list which you can open from the File Menu. This option has a default value of 5 while the maximum number of files that can be listed is 32.


ANYZIP Options: Explorer Integration Tab

ANYZIP Options: Explorer Integration Tab

Explorer Integration Tab

AnyZip allows you the flexibility of accessing frequently used Menu from within the Windows Explorer window without having to actually launch the application. This option is very useful if you frequently create, extract and edit contents of archive files or would like to complete these activities without launching AnyZip each time you need to work with archives.

Figure: Explorer Integration Tab

Enable Explorer Integration

This option is checked by default and allows you to access frequently used AnyZip options from within the Windows Explorer as shown below. These options can be accessed from the Windows Explorer by right-clicking a file or folder.

Figure: AnyZip Context Sub-Menu in Windows Explorer

Context Menu

AnyZip's explorer integration is context sensitive. This means that the options that are displayed when you right-click in the Explorer are determined by the type of file that you click.

The first four options within this list are activated when you right-click on an archive file as these actions can only be performed on archive files. The remaining three options are activated when you right-click on any other types of files or on folders because as these actions can be performed on files and folders.

Figure: Context Menu

You can specify which of the above options should be displayed in a Context Menu. All options are checked by default. You have the choice of retaining these options or customizing these using the Select All and Clear All buttons. When you click Clear All, none of the items will be displayed in the Windows Explorer and you need to launch AnyZip to work with archive files.

Infotip Shows

AnyZip has a convenient Infotip options which allows you to view the contents of an archive file from the Windows Explorer or any other window without having to physically open it.

Figure: Customizing Shell Infotips

When the Infotip options are selected, you can view the contents of the archive file by simply clicking on the file name, as shown below:

Figure: Sample of Infotip display

As in the case of the Context Menu items, you can select or deselect display options for the Infotip display using the Select All and Clear All options.

Show Menu Items in a Submenu

This option is checked by default and allows you to define how AnyZip Menu should be displayed in the Windows Explorer. Uncheck this option if you want to be able to access all the AnyZip explorer options without having to open up the AnyZip sub-menu as shown in the screenshot at the top of this page. When you do so, the AnyZip features will be available along with other Windows options such as Open and Explore.

Icons in Context Menu

The screenshot at the top of this page shows that each action that you can perform in the Windows Explorer has the AnyZip icon next to it. Uncheck this option to ensure that only the description is displayed in the Explorer. This option is checked by default i.e. Icons are displayed alongside selected actions.


ANYZIP Options: Archive Association Tab

ANYZIP Options: Archive Association Tab

Archive Association Tab

AnyZip allows you to work with different types of archive files. You can use this tab to specify the types of archive files supported by your installation of AnyZip. The options are as shown in the screenshot below and you can either choose one or more to associate with AnyZip - you can also use the Select All and Clear All buttons for convenience. By default, AnyZip is associated with files having the ZIP extension.

Figure: Archive Association Tab

Check Zip File Association at Startup

This option is required when you have more than one archive management software installed on your computer. When this option is checked, AnyZip displays the following window whenever you start the application.

Figure: AnyZip Startup Confirmation

To turn-off this window from appearing each time you open AnyZip, check the Don't Prompt me about this again option in this window.


ANYZIP Options: Program Tab

ANYZIP Options: Program Tab

Program Tab

AnyZip allows you to view files from within an archive without having to extract them. You can specify the program that should be used for doing so, using the Default File Viewer option in the Program tab, as shown below. You can click on the folder icon next to the text box to select an application from a specific folder on your computer.

Figure: Program Options Tab

This tab page is also launched when you attempt to open a file within an archive which has no default program associated with it. You can then choose the default file viewer for that from the list of applications on your computer.


ANYZIP Options: Folders Tab

ANYZIP Options: Folders Tab

Folders Tab

AnyZip allows you to view files from within an archive without having to extract them. However, while you may not physically extract files to a location to view them, AnyZip extracts them to a temporary folder from where these files can be deleted after you have viewed them.

You can use the Folders tab to specify the location to which the temporary extraction is to be performed to enable viewing. Unless you are an experienced user, it is recommended that you retain the default value displayed here.

Figure: Folder Options Tab


ANYZIP Help Menu:Contents and Index

ANYZIP Help Menu: Contents and Index

This option can be accessed by hitting the F1 key on your keyboard. It launches the HTML Help Documentation for AnyZip.


ANYZIP Help Menu: Register Anyzip

ANYZIP Help Menu: Register AnyZip

AnyZip is not free, which means that you need to register and pay a registration fee if you want to continue to use it after the 30-day evaluation period. If you do not register after 30 days, then AnyZip will function as normal, except that you will not be able to transfer any files.

Once you have registered, you will receive a registration key that will enable unlimited use of AnyZip. You may use this key in exactly one copy of AnyZip, installed on a single computer. More than one person is allowed to use it, given that no more than one person uses it at the same time. If more than one person needs to use AnyZip at the same time, you have to register a copy for each of them. Click here for more licensing information. For information on how to register and various license options please go to http://www.tbsoftinc.com/register.php.

Click on this option to enter the Registration Key for AnyZip that was provided when you bought the software from us. Enter the Username and Registration Key as provided by AnyZip into the relevant boxes in the AnyZip Registration Window and click on OK to complete the registration.

Figure: AnyZip Registration Window

In case you have lost the license key provided by AnyZip, please click on the I lost my license key link to request for a new one. This will take you to the AnyZip website where you can request for a new registration key by providing the data related to your original purchase of AnyZip.


ANYZIP Help Menu: About Anyzip

ANYZIP Help Menu: About AnyZip

This option provides you information about your installation of AnyZip.

When you select this option, the About AnyZip window is displayed. A brief description of the fields and options here follows:

FAQ

Click on this button to bring up the online version of Frequently Asked Questions. These are questions related to commonly used AnyZip features. The FAQ section in this document contains a copy of FAQ.

Buy Now

If you are using an unregistered version of AnyZip only some of the features of the application will be available to you. In order to receive access to all of the functions of AnyZip and to become eligible for web-based support, please click on this button to buy an AnyZip license.

When you buy an AnyZip license, the name and license details of the license owner are displayed in the section which currently shows the text UNREGISTERED COPY.


ANYZIP FAQs

ANYZIP Frequently Asked Questions

What is AnyZip and how should it be used?

Can I create an archive in such a way that it can be shared across more than one disk?

Can I use AnyZip to extract archive files created using other applications?

Does AnyZip work under MS-DOS?

How can I make AnyZip my default application for ZIP files?

Can AnyZip open compression formats other than ZIP? Can I use AnyZip to open .CAB files?

What is CRC and why is it important?

What is AnyZip and how should it be used?

AnyZip is a Windows-based application which can be used to create and view archive files and extract files from them. It has a user-friendly interface and the functions in the system can be operated either using the AnyZip keyboard shortcuts or its Menu .

To get an overview of the main AnyZip interface, you can navigate to the AnyZip Main Interface section of this documentation.

Some of the regularly used features of AnyZip are explained in the AnyZip Quick Tutorial section of the documentation. AnyZip also has a Wizard option which allows you to use the common features of AnyZip through a series of friendly steps.

In addition to these features AnyZip can also be integrated with the Windows Explorer as explained in the Explorer Integration Options of this documentation.

Can I create an archive in such a way that it can be shared across more than one disk?

Yes! Anyzip support creating multi-disk archives in two modes. Anyzip supports the creation of archive files that can be stored on more than one disk, if the overall size of the archive is larger than the capacity of the disk (removable device). In order to use this facility, create an archive file on a disk (such as a floppy disk) and add files to it, after selecting the [Split to Volumes] option while creating a new archive. When you do so, Anyzip will prompt you to enter a new disk when the one in the drive is full. In another span mode the archive can be created on non-removable device as well and you need to define the single volume size in Kbytes. More details on how this can be done are contained in the section titled Creating a multi-volume archive.

Can I use AnyZip to extract archive files created using other applications?

Yes! As long as the archive file created using another utility has a standard compression format like those described here, the files in it can be extracted using AnyZip. Similarly, as the files created using AnyZip follow universally accepted formats these can be extracted using any other compression tool.

Does AnyZip work under MS-DOS?

You cannot use the AnyZip command under MS-DOS the same way as the ZIP and UNZIP commands could be used in the past. However, you can type ANYZIP.EXE in the COMMAND window. Doing so will launch AnyZip in Windows.

How can I make AnyZip my default application for ZIP files?

AnyZip can be configured as the default application for ZIP and other types of archive files. This can be done through the Tools Menu of the application or on the first launch of the application. For details on this, please refer to AnyZip Archive Association Options .

Can AnyZip open compression formats other than ZIP? Can I use AnyZip to open .CAB files?

Yes! AnyZip supports a variety of archive file formats. What is more, you can set AnyZip as the default application for all these formats, through the Archive Association Options in AnyZip. This menu also shows you the archive formats that are supported by AnyZip.

What is CRC and why is it important?

CRC refers to Cyclic Redundancy Checksum. When you create an archive, AnyZip derives the CRC for each file within the archive based on the contents of the files. When you attempt to extract a file from this archive. AnyZip again derives the CRC for the extracted file using the same logic. The extraction will only be possible if the CRC of the file matches the original CRC.


ANYZIP Keyboard Shortcuts

ANYZIP Keyboard Shortcuts

This page lists the keyboard shortcuts for the various functions available within AnyZip. It also provides information on how these features can be operated from different locations on your computer. Blanks indicate that the feature e.g. Keyboard Shortcut is not applicable to a certain function.

AnyZip Function Title | Keyboard Shortcut | Drag-and-Drop possible? | Accessible from Windows Explorer?
FILE MENU
Open Archive | Ctrl+O |  | Yes
Save Archive as | Ctrl+S |  |
Create New Archive | Ctrl+N | Yes | Yes
Add Files to Archive | Shift+A | Yes | Yes
Extract Archive | Shift+E | Yes | Yes
Close Archive | Ctrl+C |  |
Email Archive | Ctrl+M |  | Yes
Wizard | Ctrl+W | Yes |
Archive Properties | Ctrl+P |  |
Favorite Archives |  |  |
ACTION MENU
Add | Shift+A | Yes | Yes
Extract | Shift+E | Yes | Yes
Delete | Shift+D |  |
View | Shift+V |  | Yes
Test | Shift+T |  |
Install | Shift+I |  |
Comment | Shift+C |  |
VIEW MENU
Invert Selection | Ctrl+I |  |
Select All | Ctrl+A |  |
Sort |  |  |
TOOLS MENU
Make.EXE |  |  |
Password |  |  |
Open AnyZip.INI |  |  |
Options | Alt+O |  |
HELP MENU
Contents and Index | F1 |  |
Register AnyZip |  |  |
About AnyZip |  |  |


ANYZIP Help Documentation: Glossary

ANYZIP Help Documentation: Glossary

Add Files: The process of including files in an archive from various directories on your computer - this step usually follows the creation of a new archive and is required to be completed in order to create a new archive.

Archive File: A file format which allows you to compress and store a large number of files within a single file. Archive files are of different formats and they can be created with differing levels of compression based on whether you need smaller archives or more quickly readable archives.

CAB: This is a compression format used by Microsoft setup programs. Microsoft uses this format to group and compress files that are required to install files required for the Windows Operating System. CAB files can be opened using AnyZip.

Compression Ratio: When AnyZip adds files to an archive it compresses the files based on either its default values or user-specified options. Ratio indicates the extent of compression of the file in relation to its original size. Therefore, a 5 MB document, compressed to 3.5 MB will have a compression ration of 30% i.e. (5-3.5) divided by 5. The Ratio field in the AnyZip Main Window is used to indicate compression ratio of the file.

Context Menu: An AnyZip feature which works when trying to perform actions on archive files from within the Windows Explorer. The Context Menu ensures that the actions you can perform on files are based on whether the file you are trying to work with is an archive or any other type of file. This convenient feature makes it easy to use AnyZip more effectively while creating, reading or extracting from an archive.

CRC: Cyclic Redundancy Checksum. This is derived based on the contents of a file within the archive and is used by AnyZip to verify if the file being extracted has been altered improperly, in which case extraction and other operations cannot be performed.

Create Archive: A process by which a new compressed file can be created. This requires files to be added to it as a necessary final step of the creation process.

Explorer Integration: An AnyZip feature which allows you to access AnyZip functionality from within the Windows Explorer window without having to actually open the application itself. Provides convenience while working with archive and allows you to create, add, extract and email archive files.

Extract: A process by which files within an archive can be downloaded to your computer for viewing and editing.

Favorites: A convenient AnyZip option which allows you to identify important or frequently used archive files. When an archive is added as a Favorite, it can be opened without having to scroll through Windows folders. A simple selection of the file from the Favorites folder is adequate to access the archive file.

GZIP: This is a file format which is normally used to store TAR files. It cannot contain more than one file.

Infotip: Any AnyZip feature which allows you to view the contents of an archive without having to open the archive file.

Install Function: An AnyZip features which allows you to launch install an application from within an archive containing a Setup.EXE or Install.EXE file, without the need to specifically launch the file yourself.

Keyboard Shortcut: Most AnyZip functions can be accessed from the AnyZip Toolbar. In addition these can also be launched from the AnyZip menus by scrolling down to the required action. Keyboard shortcuts allow you to launch an action within AnyZip without the need to click on the Tool Bar icons or on individual menu items.

Multi-Volume Archive: Occasionally you might be required to create an archive consisting of large files, resulting in an archive which is larger than can be accommodated on a single storage disk. Such archives can be created to span across multiple storage disks and are known as multi-volume archives. They are very useful if you need to transport the contents of a single archive using storage media such as 1.44 MB floppy diskettes.

Packed Size: This field shows the size of a file within an archive after the archive is created. This is different from the actual size of a file within an archive. It may vary based on the extent of compression that you require. Please note that unless

Path: The location of a file on your computer. This information is useful because it allows you to easily organize and locate the files on your computer.

Preserve File Path: While adding files to an archive you can choose this option. When you do so, AnyZip stores the information related to the location from which the file was added to the archive. This information is useful if you would like to extract a file to a specific folder on your computer without requiring the user to enter this information.

RAR: Applications such as Winrar can be used to create RAR files. RAR is a compression format, and the files within a RAR can be extracted or viewed using AnyZip.

Self-Extracting EXE: A self-extracting EXE is an executable file. It is intended to allow you to distribute an archive to users who may not have access to a compression software like AnyZip. When the recipient opens a self-extracting EXE, all the files in that are extracted to a specified folder.

Sort: The process of organizing files within an archive. Files in an archive can be sorted based on their names, file types, file sizes, compression ratios, original location etc.

Split to Volumes: You might often be required to send an archive file to other users using an external devices such as a floppy disk drive. If the archive file is going to be large, you can ensure that AnyZip automatically restricts the size of each file being added to the archive. In order to do so, you can select this option and specify the size cap for each file. When you specify this cap, AnyZip will create archive files in such a way that they are all no more larger than the cap size specified.

Status Bar: This is a display field that shows information related to the number of files in the archive, their combined size and compressed size. It is placed at the bottom of the AnyZip main window. The Status Bar also displays the readiness status of the archive file for user operation such as extraction, addition of files and deletion of files.

TAR: The term TAR is derived from Tape Archive. Unlike formats like ZIP, it is not a compression format, but is instead a format for grouping files. It is typically related to Unix based applications.

Wizard: This is a facility within AnyZip that allows you to perform normal file related operations within the application through a series of easy to use steps, Three functions i.e. Create new archive, Update existing archive and Extract files from an archive can be performed using the AnyZip Wizard function.


ANYZIP Help Documentation: Table of Contents

ANYZIP: Table of Contents
Welcome to AnyZip
End User License Agreement
Technical Support
Registering AnyZip
AnyZip Quick Start
AnyZip Main Interface Overview
AnyZip Wizards
Extract Files from Archive
Create New Archive
Update Existing Archive
Add Files to Archive
Tutorial: Frequently Used Features
Create New Archive
Extract Files from Archive
Update Archive
Create a Self-Extracting EXE
Create a multi-volume archive
Menu Commands
File Menu
Open Archive
Save Archive As
New Archive
Close Archive
Email Archive
Wizard
Archive Properties
Favorite Archives
Action Menu
Add
Extract
Delete
View
Test
Install
Comment
View Menu
Invert Selection
Select All
Sort
Tools Menu
Make EXE
Password
Open AnyZip.INI
Options
General
Explorer Integration
Archive Association
Program
Folders
Help Menu
Contents and Index
Register AnyZip
About AnyZip
Other Information

Frequently Asked Questions

List of Keyboard Shortcuts

Glossary of Terms